Skip to main content

Get good

Method GET

https://my.easyweek.io/api/public/v2/goods/{good_uuid}

Description: This endpoint retrieves a single good by UUID. A good that does not belong to the workspace returns 404.

Example Request

curl -i -X GET \
https://my.easyweek.io/api/public/v2/goods/{good_uuid} \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'

Path Parameters

  • good_uuid (string, required): The unique identifier of the good to retrieve.

Example Response

{
"uuid": "9c2f1b7e-2f8a-4a1e-bd2c-6b3a1f9e0d11",
"name": "Shampoo",
"article": "SKU-123",
"category": {
"uuid": "1a2b3c4d-5e6f-4a1b-8c9d-0e1f2a3b4c5d",
"name": "Cosmetics",
"class": "blue"
},
"description": null,
"is_payable": true,
"price": 1500,
"unit": "pcs",
"is_consumable": false,
"consumable_unit": "pcs",
"quantity_in_unit": null,
"stock": 10,
"can_be_set_up_as_consumable": true,
"images": [],
"image": null,
"live": true,
"live_in_widget": false,
"public_name_translatable": {},
"public_description_translatable": {}
}